package dbdto

import (
	"time"

	"git.squidspirit.com/squid/blog.git/backend/internal/domain"
)

type Label struct {
	ID          uint32 `json:"id"`
	Name        string `json:"name"`
	Color       string `json:"color"`
	CreatedTime time.Time
	UpdatedTime time.Time
}

func (l *Label) ToEntity() *domain.Label {
	return &domain.Label{
		ID:    l.ID,
		Name:  l.Name,
		Color: l.Color,
	}
}
